Subject: linux-next: simple boot test failure (Was: linux-next: Tree for Oct 9)

From: Stephen Rothwell <[email-masked]>
Date: Wed, 9 Oct 2024 23:22:16 +1100

Hi all,

On Wed, 9 Oct 2024 18:20:16 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> News: this release fails my very simple qemu boot test.  It looks normal
> up to user mode and I even get a login prompt, but when I log in I get
> dumped back to the login prompt - presumably the shell is failing to run.

Bisected to

218a562f273bec7731af4e713df72d2c8c8816e8 is the first bad commit
commit 218a562f273bec7731af4e713df72d2c8c8816e8
Author: Al Viro <[email-masked]>
Date:   Mon Oct 7 18:43:57 2024 +0100

    make __set_open_fd() set cloexec state as well
    
    ->close_on_exec[] state is maintained only for opened descriptors;
    as the result, anything that marks a descriptor opened has to
    set its cloexec state explicitly.
    
    As the result, all calls of __set_open_fd() are followed by
    __set_close_on_exec(); might as well fold it into __set_open_fd()
    so that cloexec state is defined as soon as the descriptor is
    marked opened.
    
    Signed-off-by: Al Viro <[email-masked]>
    Link: https://lore.kernel.org/r/[email-masked]
    Signed-off-by: Christian Brauner <[email-masked]>

And reverting that commit from today's linux-next fixes my problem.
-- 
Cheers,
Stephen Rothwell